import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
declare global {
    interface HTMLElementTagNameMap {
        'sz-login-view': SzLoginView;
    }
}
export declare class SzLoginView extends DeesElement {
    static demo: () => TemplateResult<1>;
    accessor loading: boolean;
    accessor error: string;
    accessor title: string;
    accessor subtitle: string;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private handleSubmit;
    clearForm(): void;
    focusUsername(): void;
}
